Skip to content

Create Private Cluster

POST
/private-cluster/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/private-cluster/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "string",
"nodes_count": 0,
"is_mig_enabled": false,
"sku_id": 0,
"sku_item_price_id": 0
}'
active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name
required

Name of the private cluster.

string
nodes_count
required

Number of nodes in the cluster.

integer
is_mig_enabled

Whether Multi-Instance GPU (MIG) is enabled.

boolean
sku_id
required

SKU ID for the cluster node type.

integer
sku_item_price_id
required

SKU item price ID for the cluster. This value is region-specific.

integer

Example generated

{
"name": "example",
"nodes_count": 1,
"is_mig_enabled": true,
"sku_id": 1,
"sku_item_price_id": 1
}

Private cluster created successfully

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "Private cluster created successfully",
"errors": {},
"message": "Success"
}